import React from 'react';

type Commit = {
    hash: string;
    ownerName: string;
    repoName: string;
    committer: {
        username?: string | null;
        displayName: string;
        emailAddress?: string;
    };
    message: string;
    parents: string[];
    committedAt: number;
    commitLink?: string;
};
type BranchType = {
    branchName: string;
    headCommitHash: string;
};
type GraphStyle = {
    commitSpacing: number;
    branchSpacing: number;
    branchColors: string[];
    nodeRadius: number;
};

type Props = {
    commits: Commit[];
    branchHeads: BranchType[];
    style?: GraphStyle;
};
declare function CommitGraph({ commits, style, branchHeads }: Props): React.JSX.Element;

export { CommitGraph };
